Query meter usage
curl --request POST \
--url https://api.tirdad.ai/v1/meter-usage/query \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"end_time": "2024-02-01T00:00:00Z",
"external_customer_id": "cust_123",
"meter_id": "mtr_abc",
"start_time": "2024-01-01T00:00:00Z",
"billing_anchor": "2024-01-15T00:00:00Z"
}
'import requests
url = "https://api.tirdad.ai/v1/meter-usage/query"
payload = {
"end_time": "2024-02-01T00:00:00Z",
"external_customer_id": "cust_123",
"meter_id": "mtr_abc",
"start_time": "2024-01-01T00:00:00Z",
"billing_anchor": "2024-01-15T00:00:00Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
end_time: '2024-02-01T00:00:00Z',
external_customer_id: 'cust_123',
meter_id: 'mtr_abc',
start_time: '2024-01-01T00:00:00Z',
billing_anchor: '2024-01-15T00:00:00Z'
})
};
fetch('https://api.tirdad.ai/v1/meter-usage/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_count": 42,
"meter_id": "mtr_abc",
"points": [
{
"event_count": 10,
"timestamp": "2024-01-01T00:00:00Z",
"value": "100.0000"
}
],
"total_value": "1234.5678"
}{
"details": {},
"http_status_code": 123,
"message": "<string>"
}{
"details": {},
"http_status_code": 123,
"message": "<string>"
}MeterUsage
Query meter usage
Query aggregated usage from meter_usage table for a single meter with optional time-window bucketing
POST
/
meter-usage
/
query
Query meter usage
Authorizations
Enter your API key in the format x-api-key <api-key>*
Body
application/json
Query parameters
Available options:
COUNT, SUM, AVG, COUNT_UNIQUE, LATEST, SUM_WITH_MULTIPLIER, MAX, WEIGHTED_SUM Example:
"2024-02-01T00:00:00Z"
Example:
"cust_123"
Example:
"mtr_abc"
Example:
"2024-01-01T00:00:00Z"
Example:
"2024-01-15T00:00:00Z"
Available options:
MONTH, MINUTE, 15MIN, 30MIN, HOUR, 3HOUR, 6HOUR, 12HOUR, DAY, WEEK, MONTH ⌘I